FLANG

Public Types | Public Member Functions | Static Public Attributes | List of all members
Fortran::decimal::BigRadixFloatingPointNumber< PREC, LOG10RADIX > Class Template Reference

## Public Types
using | Real = BinaryFloatingPointNumber< PREC >

## Public Member Functions
| BigRadixFloatingPointNumber (enum FortranRounding rounding=RoundDefault)
| BigRadixFloatingPointNumber (Real, enum FortranRounding=RoundDefault)
BigRadixFloatingPointNumber & | SetToZero ()
ConversionToBinaryResult< PREC > | ConvertToBinary ()
ConversionToBinaryResult< PREC > | ConvertToBinary (const char *&)
ConversionToDecimalResult | ConvertToDecimal (char *, std::size_t, enum DecimalConversionFlags, int digits) const
void | Minimize (BigRadixFloatingPointNumber &&less, BigRadixFloatingPointNumber &&more)
template<typename STREAM >
STREAM & | Dump (STREAM &) const

## Static Public Attributes
static constexpr int | log10Radix {LOG10RADIX}

The documentation for this class was generated from the following files:

- lib/Decimal/big-radix-floating-point.h
- lib/Decimal/binary-to-decimal.cpp
- lib/Decimal/decimal-to-binary.cpp